org.eclipse.microprofile.metrics.tck

## Class MetricRegistryTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.MetricRegistryTest

    public class MetricRegistryTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MetricRegistryTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `conflictingMetadataTest()` if there is a mismatch because the type specified in the `Metadata` is different than the one implied by the method name, an exception must be thrown
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `nameTest()`
`void` `registerTest()`
`void` `removeTest()`
`void` `sanitizeMetadataTest()` The implementation has to sanitize Metadata passed to registration methods if the application does not supply the metric type explicitly, but the type is implied by the used method.
`void` `testMetricRegistryType()`
`void` `useExistingMetaDataTest()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetricRegistryTest

    public MetricRegistryTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### nameTest

    @InSequence(value=1)
    public void nameTest()

#### registerTest

    @InSequence(value=2)
    public void registerTest()

#### removeTest

    @InSequence(value=3)
    public void removeTest()

#### useExistingMetaDataTest

    @InSequence(value=4)
    public void useExistingMetaDataTest()

#### testMetricRegistryType

    @InSequence(value=5)
    public void testMetricRegistryType()

#### sanitizeMetadataTest

    @InSequence(value=6)
    public void sanitizeMetadataTest()

The implementation has to sanitize Metadata passed to registration methods if the application does not supply the metric type explicitly, but the type is implied by the used method.

#### conflictingMetadataTest

    @InSequence(value=7)
    public void conflictingMetadataTest()

if there is a mismatch because the type specified in the `Metadata` is different than the one implied by the method name, an exception must be thrown